<?php

namespace Drupal\onlyone\Utility;

/**
 * Provides module internal helper methods.
 *
 * @ingroup utility
 */
class InternalFunctions {

  /**
   * Return the language label.
   *
   * @param string $language
   *   The language code.
   *
   * @return string
   *   the language label.
   */
  public static function getLanguageLabel($language) {
    switch ($language) {
      case 'und':
      case '':
        // If the language is empty then is Undetermined.
        return t('Not specified');

      case 'zxx':
        return t('Not applicable');

      default:
        return ucfirst($language);
    }
  }

}
